optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.MiscSystems.Status Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.Status:

## Public Member Functions
| __init__ (self, board=None)
| GetFirmwareID (self)
| GetFirmwareBranch (self)
| GetFirmwareType (self)
| GetFirmwareVersionMajor (self)
| GetFirmwareVersionMinor (self)
| GetFirmwareBuild (self)
| GetFirmwareVersionRevision (self)
| GetErrorFlagRegister (self)
| GetErrorFlagRegisterString (self)
| parse_error_flags (self, int error_flag_data)
| ResetErrorFlagRegister (self)
| GetFirmwareSN (self, index, count)
| SetFirmwareSN (self, index, vector)
| GetGitHEADSHA1Vector (self, index, count)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x10
dict | firmware_id
dict | fw_branch
dict | fw_type
dict | fw_version_major
dict | fw_version_minor
dict | fw_version_build
dict | fw_version_revision
dict | error_flag_register
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Firmware Status
    System ID: 0x10

    +---------------------+------+-------------+---------+---------------------------------------+
    | Register Name       | Id   | Type        | Default | Comment                               |
    +=====================+======+=============+=========+=======================================+
    | firmware_id         | 0x00 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | firmware_branch     | 0x01 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_type             | 0x02 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_major    | 0x03 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_minor    | 0x04 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_build    | 0x05 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_revision | 0x06 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | error_flag_register | 0x07 | float 32-bit| 0       | See: Status Register Values Below     |
    +---------------------+------+-------------+---------+---------------------------------------+
    | proxy_fpga_version  | 0x08 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | cpu_fpga_version    | 0x09 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+

    Status Register Values:

    ====== =================================================================
    Bit#   Message
    ====== =================================================================
    0      Proxy not connected
    1      Proxy temperature threshold is reached. See TemperatureManager
    2      Mirror temperature threshold is reached See TemperatureManager
    3      Mirror EEPROM not valid
    4      Mirror not stable. See stability criterion in OpticalFeedback
    5      Linear output limit is reached. See LinearOutput
    6      Linear output average limit is reached. See LinearOutput
    7      XY input is trimmed. See InputConditioning
    8      Proxy was disconnected
    9      Proxy temperature threshold was reached
    10     Mirror temperature threshold was reached
    11     Linear output limit was reached
    12     Linear output average limit was reached
    13     XY input was trimmed
    14..31 Reserved
    ====== =================================================================
    Write:
    Writing to this register resets all history error flags 8, 9, 10, 11, 12, 13

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.Status.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetErrorFlagRegister()

optoKummenberg.registers.MiscSystems.Status.GetErrorFlagRegister | ( |  | self | ) |

## ◆ GetErrorFlagRegisterString()

optoKummenberg.registers.MiscSystems.Status.GetErrorFlagRegisterString | ( |  | self | ) |

## ◆ GetFirmwareBranch()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareBranch | ( |  | self | ) |

## ◆ GetFirmwareBuild()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareBuild | ( |  | self | ) |

## ◆ GetFirmwareID()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareID | ( |  | self | ) |

## ◆ GetFirmwareSN()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareSN | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetFirmwareType()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareType | ( |  | self | ) |

## ◆ GetFirmwareVersionMajor()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareVersionMajor | ( |  | self | ) |

## ◆ GetFirmwareVersionMinor()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareVersionMinor | ( |  | self | ) |

## ◆ GetFirmwareVersionRevision()

optoKummenberg.registers.MiscSystems.Status.GetFirmwareVersionRevision | ( |  | self | ) |

## ◆ GetGitHEADSHA1Vector()

optoKummenberg.registers.MiscSystems.Status.GetGitHEADSHA1Vector | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ help()

optoKummenberg.registers.MiscSystems.Status.help | ( |  | ) |
| static

## ◆ parse_error_flags()

optoKummenberg.registers.MiscSystems.Status.parse_error_flags | ( |  | self,
|  | int | error_flag_data )

## ◆ ResetErrorFlagRegister()

optoKummenberg.registers.MiscSystems.Status.ResetErrorFlagRegister | ( |  | self | ) |

## ◆ SetFirmwareSN()

optoKummenberg.registers.MiscSystems.Status.SetFirmwareSN | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ error_flag_register

dict optoKummenberg.registers.MiscSystems.Status.error_flag_register

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ firmware_id

dict optoKummenberg.registers.MiscSystems.Status.firmware_id

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ fw_branch

dict optoKummenberg.registers.MiscSystems.Status.fw_branch

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ fw_type

dict optoKummenberg.registers.MiscSystems.Status.fw_type

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ fw_version_build

dict optoKummenberg.registers.MiscSystems.Status.fw_version_build

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ fw_version_major

dict optoKummenberg.registers.MiscSystems.Status.fw_version_major

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ fw_version_minor

dict optoKummenberg.registers.MiscSystems.Status.fw_version_minor

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ fw_version_revision

dict optoKummenberg.registers.MiscSystems.Status.fw_version_revision

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ sys_id

int optoKummenberg.registers.MiscSystems.Status.sys_id = 0x10

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py